import React from 'react';
import PropTypes from 'prop-types';
import {Card, CardBody, CardTitle, Row} from "reactstrap";
import HashLoader from 'react-spinners/HashLoader';

const Loading = ({label}) => (
    <Card style={{zIndex: '999999'}}>
        <CardBody>
            <CardTitle>
                <Row style={{justifyContent: 'center'}}>
                        <HashLoader
                            size={50}
                            color={"#123abc"}
                            loading={true}
                        />
                </Row>
                <Row style={{justifyContent: 'center'}}>
                    {label}
                </Row>
            </CardTitle>
        </CardBody>
    </Card>
);

Loading.propTypes = {
    label: PropTypes.string
};

Loading.defaultProps = {
    label: ' Cargando...'
};

export default Loading;
